Skip to content

GET /EmployeeCallOuts

GET
/EmployeeCallOuts

GET /EmployeeCallOuts

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring
Format"JSON"

Responses

Request was successful

application/json
JSON
[
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}
]

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PUT /EmployeeCallOuts

PUT
/EmployeeCallOuts

PUT /EmployeeCallOuts

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

POST /EmployeeCallOuts

POST
/EmployeeCallOuts

POST /EmployeeCallOuts

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

PATCH /EmployeeCallOuts

PATCH
/EmployeeCallOuts

PATCH /EmployeeCallOuts

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/count

GET
/EmployeeCallOuts/count

GET /EmployeeCallOuts/count

Parameters

Query Parameters

where

Criteria to match model instances

Typestring
Format"JSON"

Responses

Request was successful

application/json
JSON
{
"count": 0
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/findOne

GET
/EmployeeCallOuts/findOne

GET /EmployeeCallOuts/findOne

Parameters

Query Parameters

filter

Filter defining fields, where, include, order, offset, and limit

Typestring
Format"JSON"

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}

GET
/EmployeeCallOuts/{id}

GET /EmployeeCallOuts/{id}

Parameters

Path Parameters

id*

Model id

Typestring
Required

Query Parameters

filter

Filter defining fields and include

Typestring
Format"JSON"

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PUT /EmployeeCallOuts/{id}

PUT
/EmployeeCallOuts/{id}

PUT /EmployeeCallOuts/{id}

Parameters

Path Parameters

id*

Model id

Typestring
Required

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

DELETE /EmployeeCallOuts/{id}

DELETE
/EmployeeCallOuts/{id}

DELETE /EmployeeCallOuts/{id}

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

HEAD /EmployeeCallOuts/{id}

HEAD
/EmployeeCallOuts/{id}

HEAD /EmployeeCallOuts/{id}

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

PATCH /EmployeeCallOuts/{id}

PATCH
/EmployeeCallOuts/{id}

PATCH /EmployeeCallOuts/{id}

Parameters

Path Parameters

id*

Model id

Typestring
Required

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}/employee

GET
/EmployeeCallOuts/{id}/employee

GET /EmployeeCallOuts/{id}/employee

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"number": "string",
"email": "string",
"phoneNumber": "string",
"type": "regular",
"clockInAllowedAt": "string",
"hireDate": "string",
"active": true,
"externalId": "string",
"receivesLateClockInNotifications": true,
"id": "string",
"companyId": "string",
"divisionId": "string",
"plantId": "string",
"truckId": "string",
"createdAt": "string",
"updatedAt": "string",
"typeId": "string",
"timeCategoryIds": [
"string"
],
"defaultTimeCategoryId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}/exists

GET
/EmployeeCallOuts/{id}/exists

GET /EmployeeCallOuts/{id}/exists

Parameters

Path Parameters

id*

Model id

Typestring
Required

Responses

Request was successful

application/json
JSON
{
"exists": true
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}/plant

GET
/EmployeeCallOuts/{id}/plant

GET /EmployeeCallOuts/{id}/plant

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"number": "string",
"description": "string",
"address": "string",
"region": {
},
"location": "string",
"radius": 100,
"dvirEmails": [
"string"
],
"timeZone": "string",
"id": "string",
"companyId": "string",
"createdAt": "string",
"updatedAt": "string",
"plantRegionId": "string",
"addressDetails": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}/timeCategory

GET
/EmployeeCallOuts/{id}/timeCategory

GET /EmployeeCallOuts/{id}/timeCategory

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"name": "string",
"type": "tracked",
"code": "string",
"costCenter": "string",
"showInDriverAppInsights": true,
"id": "string",
"companyId": "string",
"divisionId": "string",
"createdAt": "string",
"updatedAt": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

GET /EmployeeCallOuts/{id}/user

GET
/EmployeeCallOuts/{id}/user

GET /EmployeeCallOuts/{id}/user

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Query Parameters

refresh
Typeboolean

Responses

Request was successful

application/json
JSON
{
"type": "string",
"subType": "string",
"sysdyneId": "string",
"realm": "string",
"username": "string",
"credentials": {
},
"challenges": {
},
"email": "string",
"emailVerified": true,
"status": "string",
"created": "string",
"lastUpdated": "string",
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"companyId": "string",
"divisionId": "string",
"employeeId": "string"
}

Playground

Variables
Key
Value

Samples

cURL
JavaScript
PHP
Python

POST /EmployeeCallOuts/replaceOrCreate

POST
/EmployeeCallOuts/replaceOrCreate

POST /EmployeeCallOuts/replaceOrCreate

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Body

Samples

cURL
JavaScript
PHP
Python

POST /EmployeeCallOuts/{id}/replace

POST
/EmployeeCallOuts/{id}/replace

POST /EmployeeCallOuts/{id}/replace

Parameters

Path Parameters

id*

Model id

Typestring
Required

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

POST /EmployeeCallOuts/update

POST
/EmployeeCallOuts/update

POST /EmployeeCallOuts/update

Parameters

Query Parameters

where

Criteria to match model instances

Typestring
Format"JSON"

Request Body

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Responses

Request was successful

application/json
JSON
{
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python

POST /EmployeeCallOuts/{id}/sendNotification

POST
/EmployeeCallOuts/{id}/sendNotification

POST /EmployeeCallOuts/{id}/sendNotification

Parameters

Path Parameters

id*

PersistedModel id

Typestring
Required

Request Body

application/x-www-form-urlencoded
object

Notification Type

Valid values"sms""email"
Default"sms"

Notification Note

Callout related data

Format"JSON"

Responses

Request was successful

application/json
JSON
{
"clockInAllowedAt": "string",
"note": "string",
"phoneNumber": 0,
"confirmed": false,
"reply": "string",
"id": "string",
"userId": "string",
"companyId": "string",
"plantId": "string",
"employeeId": "string",
"createdAt": "string",
"updatedAt": "string",
"timeCategoryId": "string"
}

Playground

Variables
Key
Value
Body

Samples

cURL
JavaScript
PHP
Python